ServiceAdministratorMBean (Axis API)
Keywords: org.apache.axis.management.jmx.ServiceAdministratorMBean interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.management.jmx
Interface ServiceAdministratorMBean

All Known Implementing Classes:
  ServiceAdministrator

public interface ServiceAdministratorMBean

The ServiceAdministrator MBean exposes the org.apache.axis.management.ServiceAdmin object

Version:
  1.0
Author:
  bdillon

Method Summary
`java.lang.String` | `getVersion()` get the axis version
`void` | `restart()` restart the server
`void` | `start()` Start the server
`void` | `startService(java.lang.String serviceName)` Start the Service
`void` | `stop()` stop the server
`void` | `stopService(java.lang.String serviceName)` Stop the Service

Method Detail

### getVersion

    public java.lang.String getVersion()

  get the axis version

  Returns:

### start

    public void start()

  Start the server

### stop

    public void stop()

  stop the server

### restart

    public void restart()

  restart the server

### startService

    public void startService(java.lang.String serviceName)
                      throws AxisFault,
                             ConfigurationException

  Start the Service

  Parameters:
    `serviceName` -
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### stopService

    public void stopService(java.lang.String serviceName)
                     throws AxisFault,
                            ConfigurationException

  Stop the Service

  Parameters:
    `serviceName` -
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.